onEvent('recipes', event => {

  //remove 
  event.remove({ output: 'farmersdelight:diamond_knife' })
  event.remove({ output: 'sandwichable:diamond_kitchen_knife' })
  event.remove({ output: 'additionaladditions:fried_egg' })
  event.remove({ output: 'betteranimalsplus:fried_egg' })
  event.remove({ output: 'techreborn:diamond_nugget' })
  event.remove({ output: 'gobber2:diamond_nugget' })

  /*event.shaped('16x minecraft:stick', [
      '   ',
      ' L ',
      ' L 'Item.of('sandwichable:diamond_kitchen_knife', '{KnifeData:{maxSharpness:1025,sharpness:1025}}')
    ], {
      L: '#minecraft:logs',
    }) 
  */
  
  event.shaped(Item.of('farmersdelight:diamond_knife', '{Damage:0}'), [
   ' D ',
   'S  ',
   '   '
  ], {
    D: 'minecraft:diamond',
    S: 'minecraft:stick'
  })

  event.shaped(Item.of('techreborn:diamond_nugget'), [
   'D  ',
   'D  ',
   '   '
  ], {
    D: 'minecraft:diamond'
  })

  event.shaped(Item.of('sandwichable:diamond_kitchen_knife', '{KnifeData:{maxSharpness:1025,sharpness:1025}}'), [
   '  D',
   ' D ',
   'S  '
  ], {
    D: 'techreborn:diamond_nugget',
    S: 'minecraft:stick'
  })

  event.shapeless('16x minecraft:stick', ['#minecraft:logs', '#minecraft:logs'])

})